Index: orxonox/trunk/src/world_entities/power_up.cc
===================================================================
--- orxonox/trunk/src/world_entities/power_up.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/power_up.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -24,5 +24,8 @@
 
 
-PowerUp::PowerUp () {}
+PowerUp::PowerUp ()
+{
+  this->setClassID(CL_POWER_UP, "PowerUp");
+}
 
 
Index: orxonox/trunk/src/world_entities/skysphere.cc
===================================================================
--- orxonox/trunk/src/world_entities/skysphere.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/skysphere.cc	(revision 4597)
@@ -1,4 +1,4 @@
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,9 +13,9 @@
    main-programmer: David Gruetter
    co-programmer: Benjamin Grauer
-   
-   Created by Dave: this file is actually quite similar to player.cc and so is 
+
+   Created by Dave: this file is actually quite similar to player.cc and so is
    skybox.h similar to player.h
    With that said, things should be clear:)
-   
+
    Edited:
    Bensch: more constructors, changeability, comments...
@@ -43,4 +43,6 @@
 Skysphere::Skysphere(char* fileName)
 {
+  this->setClassID(CL_SKYSPHERE, "SkySphere");
+
   if (fileName == NULL)
     this->initialize("pictures/sky-replace.jpg");
@@ -92,5 +94,5 @@
 /**
    \brief draws the Skysphere
-   
+
    This part is normally precessed in the "Painting Phase".
 */
@@ -105,5 +107,5 @@
   //glRotatef(95.0f, 0.0f, 0.0f, 1.0f);
   //glRotatef(-250.0f, 0.0, 1.0f, 0.0f);
-  
+
   skyMaterial->select();
   gluSphere(this->sphereObj, this->sphereRadius, 20, 20);
Index: orxonox/trunk/src/world_entities/skysphere.h
===================================================================
--- orxonox/trunk/src/world_entities/skysphere.h	(revision 4596)
+++ orxonox/trunk/src/world_entities/skysphere.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file skysphere.h
     \brief Definition of the Skysphere, that handles the Display of an atmosphere of orxonox.
@@ -34,10 +34,11 @@
   virtual void draw();
 
- private: 
-  GLUquadricObj *sphereObj; //!< A Placeholder for the SkySphere.
-  Material *skyMaterial;    //!< A Material for the SkySphere.
-  float sphereRadius;       //!< Radius of the SkySphere. This should match the frustum maximum range.
-    
-  void initialize(char* fileName);  
+  private:
+    void initialize(char* fileName);
+
+ private:
+  GLUquadricObj*    sphereObj;           //!< A Placeholder for the SkySphere.
+  Material*         skyMaterial;         //!< A Material for the SkySphere.
+  float             sphereRadius;        //!< Radius of the SkySphere. This should match the frustum maximum range.
 };
 
Index: orxonox/trunk/src/world_entities/terrain.cc
===================================================================
--- orxonox/trunk/src/world_entities/terrain.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/terrain.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,5 +28,5 @@
 
 */
-Terrain::Terrain () 
+Terrain::Terrain ()
 {
   this->init();
@@ -36,8 +36,8 @@
    \brief Constructor for loading a Terrain out of a file
    \param fileName The file to load data from.
- 
+
    this either loads out of an OBJ-file, or loads a heightmap if no .obj-extension is found.
 */
-Terrain::Terrain(char* fileName)
+Terrain::Terrain(const char* fileName)
 {
   this->init();
@@ -68,5 +68,5 @@
 
 */
-Terrain::~Terrain () 
+Terrain::~Terrain ()
 {
   if (objectList)
@@ -78,4 +78,5 @@
 {
   this->setClassID(CL_TERRAIN, "Terrain");
+
   this->objectList = 0;
 }
@@ -84,13 +85,13 @@
 
 void Terrain::draw ()
-{ 
+{
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
   float matrix[4][4];
-  
+
   /* translate */
-  glTranslatef (this->getAbsCoor ().x, 
-		this->getAbsCoor ().y, 
-		this->getAbsCoor ().z);
+  glTranslatef (this->getAbsCoor ().x,
+                this->getAbsCoor ().y,
+                this->getAbsCoor ().z);
   /* rotate */
   this->getAbsDir ().matrix (matrix);
@@ -112,7 +113,7 @@
       objectList = glGenLists(1);
       glNewList (objectList, GL_COMPILE);
-      
+
       glColor3f(1.0,0,0);
-      
+
       int sizeX = 100;
       int sizeZ = 80;
@@ -121,115 +122,115 @@
       float widthX = float (length /sizeX);
       float widthZ = float (width /sizeZ);
-      
+
       float height [sizeX][sizeZ];
       Vector normal_vectors[sizeX][sizeZ];
-      
-      
+
+
       for ( int i = 0; i<sizeX-1; i+=1)
-	for (int j = 0; j<sizeZ-1;j+=1)
-	  //height[i][j] = rand()/20046 + (j-25)*(j-25)/30;
+        for (int j = 0; j<sizeZ-1;j+=1)
+          //height[i][j] = rand()/20046 + (j-25)*(j-25)/30;
 #ifdef __WIN32__
-	  height[i][j]=(sin((float)j/3)*rand()*i/182400)*.5;
+          height[i][j]=(sin((float)j/3)*rand()*i/182400)*.5;
 #else
       height[i][j]=(sin((float)j/3)*rand()*(long)i/6282450500.0)*.5;
 #endif
-      
+
       //Die Huegel ein wenig glaetten
       for (int h=1; h<2;h++)
-	for (int i=1;i<sizeX-2 ;i+=1 )
-	  for(int j=1;j<sizeZ-2;j+=1)
-	    height[i][j]=(height[i+1][j]+height[i][j+1]+height[i-1][j]+height[i][j-1])/4;
-      
+        for (int i=1;i<sizeX-2 ;i+=1 )
+          for(int j=1;j<sizeZ-2;j+=1)
+            height[i][j]=(height[i+1][j]+height[i][j+1]+height[i-1][j]+height[i][j-1])/4;
+
       //Berechnung von normalen Vektoren
       for(int i=1;i<sizeX-2;i+=1)
-	for(int j=1;j<sizeZ-2 ;j+=1)
-	  {
-	    Vector v1 = Vector (widthX*(1),      height[i][j],      widthZ*(j) );
-	    Vector v2 = Vector (widthX*(i-1),    height[i-1][j],    widthZ*(j));
-	    Vector v3 = Vector (widthX*(i),      height[i][j+1],    widthZ*(j+1));
-	    Vector v4 = Vector (widthX*(i+1),    height[i+1][j],    widthZ*(j));
-	    Vector v5 = Vector (widthX*(i),      height[i][j-1],    widthZ*(j-1));
-	    
-	    Vector c1 = v2 - v1;
-	    Vector c2 = v3 - v1;
-	    Vector c3=  v4 - v1;
-	    Vector c4 = v5 - v1;
-	    Vector zero = Vector (0,0,0);
-	    normal_vectors[i][j]=c1.cross(v3-v5)+c2.cross(v4-v2)+c3.cross(v5-v3)+c4.cross(v2-v4);
-	    normal_vectors[i][j].normalize();
-	  }
-      
+        for(int j=1;j<sizeZ-2 ;j+=1)
+          {
+            Vector v1 = Vector (widthX*(1),      height[i][j],      widthZ*(j) );
+            Vector v2 = Vector (widthX*(i-1),    height[i-1][j],    widthZ*(j));
+            Vector v3 = Vector (widthX*(i),      height[i][j+1],    widthZ*(j+1));
+            Vector v4 = Vector (widthX*(i+1),    height[i+1][j],    widthZ*(j));
+            Vector v5 = Vector (widthX*(i),      height[i][j-1],    widthZ*(j-1));
+
+            Vector c1 = v2 - v1;
+            Vector c2 = v3 - v1;
+            Vector c3=  v4 - v1;
+            Vector c4 = v5 - v1;
+            Vector zero = Vector (0,0,0);
+            normal_vectors[i][j]=c1.cross(v3-v5)+c2.cross(v4-v2)+c3.cross(v5-v3)+c4.cross(v2-v4);
+            normal_vectors[i][j].normalize();
+          }
+
       glBegin(GL_QUADS);
       int snowheight=3;
       for ( int i = 0; i<sizeX; i+=1)
-	for (int j = 0; j<sizeZ;j+=1)
-	  {	  
-	    Vector v1 = Vector (widthX*(i),      height[i][j]-20,       widthZ*(j)  -width/2);
-	    Vector v2 = Vector (widthX*(i+1),    height[i+1][j]-20,     widthZ*(j)  -width/2);
-	    Vector v3 = Vector (widthX*(i+1),    height[i+1][j+1]-20,   widthZ*(j+1)-width/2);
-	    Vector v4 = Vector (widthX*(i),      height[i][j+1]-20,     widthZ*(j+1)-width/2);
-	    float a[3];
-	    if(height[i][j]<snowheight){
-	      a[0]=0;
-	      a[1]=1.0-height[i][j]/10-.3;
-	      a[2]=0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	    }
-	    else{
-	      a[0]=1.0;
-	      a[1]=1.0;
-	      a[2]=1.0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	      
-	    }
-	    glNormal3f(normal_vectors[i][j].x, normal_vectors[i][j].y, normal_vectors[i][j].z);
-	    glVertex3f(v1.x, v1.y, v1.z);
-	    if(height[i+1][j]<snowheight){
-	      a[0]=0;
-	      a[1] =1.0-height[i+1][j]/10-.3;
-	      a[2]=0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	    }
-	    else{
-	      a[0]=1.0;
-	      a[1]=1.0;
-	      a[2]=1.0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	      
-	    }
-	    glNormal3f(normal_vectors[i+1][j].x, normal_vectors[i+1][j].y, normal_vectors[i+1][j].z);
-	    glVertex3f(v2.x, v2.y, v2.z);
-	    if(height[i+1][j+1]<snowheight){
-	      a[0]=0;
-	      a[1] =1.0-height[i+1][j+1]/10-.3;
-	      a[2]=0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	    }
-	    else{
-	      a[0]=1.0;
-	      a[1]=1.0;
-	      a[2]=1.0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	      
-	      
-	    }
-	    glNormal3f(normal_vectors[i+1][j+1].x, normal_vectors[i+1][j+1].y, normal_vectors[i+1][j+1].z);
-	    glVertex3f(v3.x, v3.y, v3.z);
-	    if(height[i][j+1]<snowheight){
-	      a[0]=0;
-	      a[1] =1.0-height[i+1][j+1]/10-.3;
-	      a[2]=0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	    }
-	    else{
-	      a[0]=1.0;
-	      a[1]=1.0;
-	      a[2]=1.0;
-	      glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
-	    }
-	    glNormal3f(normal_vectors[i][j+1].x, normal_vectors[i][j+1].y, normal_vectors[i][j+1].z);
-	    glVertex3f(v4.x, v4.y, v4.z);
-	    
-	  }
+        for (int j = 0; j<sizeZ;j+=1)
+          {
+            Vector v1 = Vector (widthX*(i),      height[i][j]-20,       widthZ*(j)  -width/2);
+            Vector v2 = Vector (widthX*(i+1),    height[i+1][j]-20,     widthZ*(j)  -width/2);
+            Vector v3 = Vector (widthX*(i+1),    height[i+1][j+1]-20,   widthZ*(j+1)-width/2);
+            Vector v4 = Vector (widthX*(i),      height[i][j+1]-20,     widthZ*(j+1)-width/2);
+            float a[3];
+            if(height[i][j]<snowheight){
+              a[0]=0;
+              a[1]=1.0-height[i][j]/10-.3;
+              a[2]=0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+            }
+            else{
+              a[0]=1.0;
+              a[1]=1.0;
+              a[2]=1.0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+
+            }
+            glNormal3f(normal_vectors[i][j].x, normal_vectors[i][j].y, normal_vectors[i][j].z);
+            glVertex3f(v1.x, v1.y, v1.z);
+            if(height[i+1][j]<snowheight){
+              a[0]=0;
+              a[1] =1.0-height[i+1][j]/10-.3;
+              a[2]=0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+            }
+            else{
+              a[0]=1.0;
+              a[1]=1.0;
+              a[2]=1.0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+
+            }
+            glNormal3f(normal_vectors[i+1][j].x, normal_vectors[i+1][j].y, normal_vectors[i+1][j].z);
+            glVertex3f(v2.x, v2.y, v2.z);
+            if(height[i+1][j+1]<snowheight){
+              a[0]=0;
+              a[1] =1.0-height[i+1][j+1]/10-.3;
+              a[2]=0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+            }
+            else{
+              a[0]=1.0;
+              a[1]=1.0;
+              a[2]=1.0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+
+
+            }
+            glNormal3f(normal_vectors[i+1][j+1].x, normal_vectors[i+1][j+1].y, normal_vectors[i+1][j+1].z);
+            glVertex3f(v3.x, v3.y, v3.z);
+            if(height[i][j+1]<snowheight){
+              a[0]=0;
+              a[1] =1.0-height[i+1][j+1]/10-.3;
+              a[2]=0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+            }
+            else{
+              a[0]=1.0;
+              a[1]=1.0;
+              a[2]=1.0;
+              glMaterialfv(GL_FRONT,GL_DIFFUSE,a);
+            }
+            glNormal3f(normal_vectors[i][j+1].x, normal_vectors[i][j+1].y, normal_vectors[i][j+1].z);
+            glVertex3f(v4.x, v4.y, v4.z);
+
+          }
       glEnd();
       glEndList();
@@ -239,5 +240,5 @@
     {
       /*
-	this->model = (OBJModel*) new Model();
+        this->model = (OBJModel*) new Model();
       this->model->setName("CUBE");
       this->model->addVertex (-0.5, -0.5, 0.5);
@@ -249,5 +250,5 @@
       this->model->addVertex (-0.5, -0.5, -0.5);
       this->model->addVertex (0.5, -0.5, -0.5);
-      
+
       this->model->addVertexTexture (0.0, 0.0);
       this->model->addVertexTexture (1.0, 0.0);
@@ -268,4 +269,4 @@
       */
     }
-  
-}
+
+}
Index: orxonox/trunk/src/world_entities/terrain.h
===================================================================
--- orxonox/trunk/src/world_entities/terrain.h	(revision 4596)
+++ orxonox/trunk/src/world_entities/terrain.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file terrain.h
     \brief Defines and handles the terrain of the World
@@ -20,14 +20,14 @@
 
 //! A Class to handle Terrain of orxonox
-class Terrain : public WorldEntity 
+class Terrain : public WorldEntity
 {
 
  public:
   Terrain();
-  Terrain(char* fileName);
+  Terrain(const char* fileName);
   Terrain(DebugTerrain debugTerrain);
   virtual ~Terrain();
   void init();
-  
+
   void buildDebugTerrain(DebugTerrain debugTerrain);
   virtual void draw();
Index: orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- orxonox/trunk/src/world_entities/test_gun.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/test_gun.cc	(revision 4597)
@@ -43,8 +43,10 @@
    creates a new weapon
 */
-TestGun::TestGun (PNode* parent, const Vector& coordinate, const Quaternion& direction, int leftRight)
+TestGun::TestGun (PNode* parent, const Vector& coordinate,
+                  const Quaternion& direction, int leftRight)
   :  Weapon (parent, coordinate, direction)
 {
   this->setClassID(CL_TEST_GUN, "TestGun");
+
   this->model = (Model*)ResourceManager::getInstance()->load("models/test_gun.obj", OBJ, RP_CAMPAIGN);
   this->idleTime = 0.2f;
Index: orxonox/trunk/src/world_entities/weapon.cc
===================================================================
--- orxonox/trunk/src/world_entities/weapon.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/weapon.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,5 +13,5 @@
    ### File Specific
    main-programmer: Patrick Boenzli
-   co-programmer: 
+   co-programmer:
 */
 
@@ -35,11 +35,13 @@
    \param number of weapon slots of the model/ship <= 8 (limitied)
 */
-WeaponManager::WeaponManager(int nrOfSlots) 
-{
+WeaponManager::WeaponManager(int nrOfSlots)
+{
+  this->setClassID(CL_WEAPON_MANAGER, "WeaponManager");
+
   for(int i = 0; i < W_MAX_CONFIGS; ++i)
     {
       this->configs[i].bUsed = false;
       for(int j = 0; j < W_MAX_SLOTS; ++j)
-	this->configs[i].slots[j] = NULL;
+        this->configs[i].slots[j] = NULL;
     }
   this->nrOfSlots = nrOfSlots;
@@ -48,8 +50,8 @@
 
 
-WeaponManager::~WeaponManager() 
-{
-  /* 
-     i dont have to delete the weapons itself, because they are 
+WeaponManager::~WeaponManager()
+{
+  /*
+     i dont have to delete the weapons itself, because they are
      worldentities and therefore in the entities list of the world.
      world will clean them up for me
@@ -59,5 +61,5 @@
       this->configs[i].bUsed = false;
       for(int j = 0; j < W_MAX_SLOTS; ++j)
-	this->configs[i].slots[j] = NULL;
+        this->configs[i].slots[j] = NULL;
     }
 }
@@ -72,8 +74,8 @@
    if you add explicitly a weapon at config:n, slot:m, the weapon placed at this location will be
    replaced by the weapon specified. if you use the W_FREE_SLOT, the manager will look for a free
-   slot in this weaponconfiguration. if there is non, the weapon won't be added and there will be 
+   slot in this weaponconfiguration. if there is non, the weapon won't be added and there will be
    a error message.
 */
-void WeaponManager::addWeapon(Weapon* weapon, int configID, int slotID) 
+void WeaponManager::addWeapon(Weapon* weapon, int configID, int slotID)
 {
   if( slotID == W_FREE_SLOT)
@@ -81,8 +83,8 @@
       int freeSlot = this->getNextFreeSlot( configID);
       if( freeSlot < 0 || freeSlot >= this->nrOfSlots)
-	{
-	  PRINTF(0)("There is no free slot in this WeaponConfig to dock this weapon at! Aborting\n");
-	  return;
-	}
+        {
+          PRINTF(0)("There is no free slot in this WeaponConfig to dock this weapon at! Aborting\n");
+          return;
+        }
       PRINTF(3)("Added new Weapon to Config:%i/Slot:%i\n", configID, freeSlot);
       this->configs[configID].bUsed = true;
@@ -108,5 +110,5 @@
    this function will deactivate the weapons first, change the config and reactivate them later
 */
-void WeaponManager::nextWeaponConf() 
+void WeaponManager::nextWeaponConf()
 {
   PRINTF(4)("Changing weapon configuration: from %i to next\n", this->currConfID);
@@ -116,7 +118,7 @@
   for(i = this->currConfID + 1; i < W_MAX_CONFIGS && !this->configs[i].bUsed; ++i);
   if( i == W_MAX_CONFIGS) this->currConfID = W_CONFIG0;
-  else this->currConfID = i;  
-
-  
+  else this->currConfID = i;
+
+
   Weapon *w1, *w2;
   for(int j = 0; j < W_MAX_SLOTS; ++j)
@@ -124,22 +126,22 @@
       w1 = this->configs[lastConfID].slots[j];
       w2 = this->configs[this->currConfID].slots[j];
-      
+
       if( w1 == w2)
-	{
-	  printf("no need for change\n");
-	}
+        {
+          printf("no need for change\n");
+        }
       else
-	{
-	if( w1 != NULL )
-	  {
-	    w1->deactivate();
-	    printf("deactivating %i,%i\n", j,lastConfID);
-	  }
-	if( w2 != NULL)
-	  {
-	    w2->activate();
-	    printf("activating %i,%i\n", j, this->currConfID);
-	  }
-	}
+        {
+        if( w1 != NULL )
+          {
+            w1->deactivate();
+            printf("deactivating %i,%i\n", j,lastConfID);
+          }
+        if( w2 != NULL)
+          {
+            w2->activate();
+            printf("activating %i,%i\n", j, this->currConfID);
+          }
+        }
     }
 }
@@ -199,5 +201,5 @@
     {
       if( this->configs[configID].slots[i] == NULL)
-	return i;
+        return i;
     }
   return -1;
@@ -214,5 +216,5 @@
    creates a new weapon
 */
-Weapon::Weapon (PNode* parent, const Vector& coordinate, const Quaternion& direction) 
+Weapon::Weapon (PNode* parent, const Vector& coordinate, const Quaternion& direction)
   : WorldEntity()
 {
@@ -236,9 +238,9 @@
    \brief standard deconstructor
 */
-Weapon::~Weapon () 
+Weapon::~Weapon ()
 {
   // model will be deleted from WorldEntity-destructor
   //this->worldEntities = NULL;
-  
+
   /* dont delete objectComponentsX here, they will be killed when the pnodes are cleaned out */
 
@@ -247,8 +249,8 @@
 
 
-/** 
+/**
     \brief enables the weapon
 
-    a weapon can be enabled/disabled because of various reasons. if a weapon is 
+    a weapon can be enabled/disabled because of various reasons. if a weapon is
     been enabled, it can interact in a world. elswhere it wont react to any
     action.
@@ -260,8 +262,8 @@
 
 
-/** 
+/**
     \brief disables the weapon
 
-    a weapon can be enabled/disabled because of various reasons. if a weapon is 
+    a weapon can be enabled/disabled because of various reasons. if a weapon is
     been enabled, it can interact in a world. elswhere it wont react to any
     action.
@@ -273,9 +275,9 @@
 
 
-/** 
+/**
     \brief checks if the weapon is enabled
     \returns true if enabled
 
-    a weapon can be ebabled/disabled because of various reasons. if a weapon is 
+    a weapon can be ebabled/disabled because of various reasons. if a weapon is
     been enabled, it can interact in a world. elswhere it wont react to any
     action.
@@ -314,7 +316,7 @@
    \brief this activates the weapon
 
-   This is needed, since there can be more than one weapon on a ship. the 
-   activation can be connected with an animation. for example the weapon is 
-   been armed out. 
+   This is needed, since there can be more than one weapon on a ship. the
+   activation can be connected with an animation. for example the weapon is
+   been armed out.
 */
 void Weapon::activate()
@@ -325,6 +327,6 @@
    \brief this deactivates the weapon
 
-   This is needed, since there can be more than one weapon on a ship. the 
-   activation can be connected with an animation. for example the weapon is 
+   This is needed, since there can be more than one weapon on a ship. the
+   activation can be connected with an animation. for example the weapon is
    been armed out.
 */
@@ -352,5 +354,5 @@
    can destroy the weapons of enemies or vice versa.
 */
-void Weapon::hit (WorldEntity* entity, Vector* position) 
+void Weapon::hit (WorldEntity* entity, Vector* position)
 {}
 
@@ -362,5 +364,5 @@
    hit, it can also be destoryed.
 */
-void Weapon::destroy () 
+void Weapon::destroy ()
 {}
 
@@ -369,5 +371,5 @@
    \brief tick signal for time dependent/driven stuff
 */
-void Weapon::tick (float time) 
+void Weapon::tick (float time)
 {}
 
@@ -383,5 +385,5 @@
    \brief this will draw the weapon
 */
-void Weapon::draw () 
-{}
-
+void Weapon::draw ()
+{}
+
Index: orxonox/trunk/src/world_entities/weapon.h
===================================================================
--- orxonox/trunk/src/world_entities/weapon.h	(revision 4596)
+++ orxonox/trunk/src/world_entities/weapon.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file weapon.h
     \brief a weapon that a player can use
@@ -12,10 +12,10 @@
      o slowdown-factor: this is a factor d: exp(-d*x), d is element of all positive R. it determines how fast the firing-rate will slow down. if no slowdown: d=0, the bigger d is, the faster the weapon will slow down!
      o energy-consumption: this determines the energy that has to be used to produce this projectile = costs per projectile
-    
+
     Furthermore there are some other attributes, that will help to represent a firing
     weapon in this world:
      o sound file/ressource: this is a pointer to the sound-file/ressource. however it may be represented
      o shooting animation
-     
+
 
      a player defines one or more weapon configurations. a player has got one to eight
@@ -31,4 +31,5 @@
 #define _WEAPON_H
 
+#include "base_object.h"
 #include "world_entity.h"
 
@@ -74,14 +75,14 @@
 //! this is a weapon Configuration: it has up to 8 slots
 typedef struct weaponConfig {
-  bool bUsed;                       //<! is set to true, if this configuration is 
+  bool bUsed;                       //<! is set to true, if this configuration is
   Weapon* slots[8];
 };
 
 
-class WeaponManager {
+class WeaponManager : public BaseObject {
  public:
   WeaponManager(int nrOfSlots = 2);
   ~WeaponManager();
-  
+
   void addWeapon(Weapon* weapon, int configID = W_CONFIG0, int slotID = W_FREE_SLOT);
   void removeWeapon(Weapon* weapon, int configID = W_CONFIG0);
@@ -96,9 +97,9 @@
   int currConfID;                       //<! the currently selected config
   weaponConfig configs[4];              //<! a list of four configurations
-  
+
   int getNextFreeSlot(int configID);
 };
 
-class Weapon : public WorldEntity 
+class Weapon : public WorldEntity
 {
   friend class World;
@@ -107,5 +108,5 @@
   Weapon (PNode* parent, const Vector& coordinate, const Quaternion& direction);
   virtual ~Weapon ();
-  
+
   void enable(void);
   void disable(void);
@@ -123,5 +124,5 @@
      \brief sets a weapon idle time
      \param idle time in ms
-     
+
      a weapon idle time is the time spend after a shoot until the weapon can
      shoot again
@@ -131,5 +132,5 @@
      \brief gets the weapon idle time
      \returns idle time in ms
-     
+
      a weapon idle time is the time spend after a shoot until the weapon can
      shoot again
@@ -139,5 +140,5 @@
      \brief checks if the idle time is elapsed
      \return true if time is elapsed
-     
+
      a weapon idle time is the time spend after a shoot until the weapon can
    shoot again
@@ -147,5 +148,5 @@
   /**
      \brief fires the weapon
-     
+
      this is called from the player.cc, when fire-button is been pushed
   */
@@ -153,5 +154,5 @@
   virtual void hit (WorldEntity* weapon, Vector* loc);
   virtual void destroy(void);
-  
+
   virtual void tick(float time);
   virtual void weaponIdle(void);
